/* ----------
 @ Bourbon
---------- */
/* ----------
 @ Bootstrap Variables
---------- */
/* ----------
 @ Custom Variables
---------- */
/* --------------------
 @@ Project Specific Variables
-------------------- */
/* ----------
 @ Options
---------- */
/* ----------
 @ Colors
---------- */
/* ----------
 @ Typography
---------- */
/* ----------
 @ Layout
---------- */
/* ----------
 @ Misc
---------- */
/* ----------
 @ Custom Utilities
---------- */
/* Project specific mixins */
/* ----------
 @ A mixin to handle some site entity colors
---------- */
/* --------------------
 @@ Mixins
-------------------- */
/* ----------
 @ Maintain Aspect Ratio
	- *** requires that the element has an inner container element if there is inner content
	- $x => x portion of ratio
	- $y => y portion of ratio
    - $c => set to 'false' to skip :first-child styling
---------- */
/* ----------
 @ Background Image
	- Shortcut for linking images in the configured images folder
	- $i => image file name (relative to images folder)
	- $rest => any additional 'background' property shortcut declarations (ie: no-repeat)
---------- */
/* ----------
 @ Size
 	- Shortcut for setting height and width
 	- $width => width of element
 	- $height => height of element
 	- Single value will set both values (e.g. size(100%);
---------- */
/* --------------------
 @@ Functions
-------------------- */
/* ----------
 @ Color Get
 	- get value from the $theme-colors map
---------- */
/* ----------
 @ Breakpoint Get
 	- get value from the $grid-breakpoints map
 	- $type => 'max' | 'min', depending on media query type
---------- */
/* ----------
 @ Rems
	- convert pixels to rems
	- $p => pixel value
	- $b => base size (to use in formula) - defaults to $font-sizes root variable
---------- */
/* ----------
 @ Map Deep Get
 	- get value from nested maps
---------- */
/* ----------
 @ Weight Get
 	- get value from the $font-weights map
---------- */
html {
  min-height: 100%;
  overflow-x: hidden;
}

.error404 {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  height: auto;
  min-height: 100%;
  background-image: url("../../img/beadwork-double-horizontal-blue.svg");
  background-color: #2670c2;
  overflow-x: hidden;
}

.error404 #content {
  position: relative;
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  max-width: 100%;
  padding: 2rem 0;
}

.error404 #content::before {
  content: url("../../img/swoop-circles.svg");
  display: block;
  position: absolute;
  bottom: -10rem;
  left: -100vw;
  width: 400vw;
  z-index: 0;
  pointer-events: none;
}

.c-404-word {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding-top: 8rem;
  text-align: center;
  color: #fff;
}

.c-404-word__label {
  font-family: kiro, sans-serif;
  font-size: 1.11111rem;
}

.c-404-word__michif {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: baseline;
      -ms-flex-align: baseline;
          align-items: baseline;
  -webkit-transform: translateZ(0.01);
          transform: translateZ(0.01);
  margin-top: 0.5rem;
  padding-right: 0.75em;
  font-size: 4.72222rem;
  line-height: 1;
  color: #ffcd00;
}

.c-404-word__michif-word {
  font-family: kiro, sans-serif;
  line-height: 1.2;
}

.c-404-word__michif-audio-btn {
  position: absolute;
  right: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  bottom: 0.35em;
  width: 0.5em;
  height: 0.4em;
  line-height: 0;
  -webkit-transform-origin: left center;
          transform-origin: left center;
  -webkit-transition: opacity 150ms ease-out;
  transition: opacity 150ms ease-out;
  will-change: contents;
}

.c-404-word__michif-audio-btn::before {
  content: '\f028';
  display: block;
  width: 100%;
  font-family: "Font Awesome 5 Pro";
  font-weight: 600;
  font-size: 0.41em;
  text-align: left;
  color: #ffcd00;
}

.c-404-word__michif-audio-btn.is-playing {
  opacity: 0.75;
}

.c-404-word__michif-audio-btn:hover::before {
  -webkit-animation: wotdVolumeUp 150ms steps(1, end) forwards;
          animation: wotdVolumeUp 150ms steps(1, end) forwards;
}

.c-404-word__translation {
  margin: 0;
  font-family: kiro, sans-serif;
  font-size: 2.22222rem;
}

.c-404-blurb {
  position: relative;
  width: 100%;
  max-width: 19rem;
  margin: 2rem auto 0;
  text-align: center;
  color: #fff;
}

.c-404-btn {
  position: relative;
  display: block;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  margin: 2rem auto 0;
  color: #0057b7;
}

.c-404-btn:hover, .c-404-btn:focus {
  color: #ffcd00;
}

.error404 .g-subfooter {
  background: none;
}

@media only screen and (max-height: 800px) {
  .c-404-word__michif {
    font-size: 3.61111rem;
  }
  .c-404-word__translation {
    font-size: 2.22222rem;
  }
  .c-404-blurb {
    margin-top: 1rem;
  }
}

@media only screen and (min-width: 1800px) {
  .error404 #content::before {
    bottom: -10.5rem;
  }
}

@media only screen and (max-width: 1439px) {
  .error404 #content::before {
    left: -90vw;
    width: 400vw;
  }
}

@media only screen and (max-width: 991px) {
  .error404 #content::before {
    left: -80vw;
  }
}

@media only screen and (max-width: 768px) {
  .error404 #content {
    padding: 0;
  }
  .error404 #content::before {
    bottom: -5rem;
    left: -120vw;
  }
  .c-404-word__michif {
    font-size: 2.77778rem;
  }
  .c-404-word__translation {
    font-size: 1.66667rem;
  }
}

@media only screen and (max-width: 480px) {
  .c-404-word__michif {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    padding: 0;
  }
  .c-404-word__michif-word {
    display: inline;
  }
  .c-404-word__michif-audio-btn {
    position: static;
    display: inline;
    margin-top: 0.5rem;
  }
  .c-404-word__translated-word {
    margin-top: 1rem;
  }
}

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
